For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Connection Types
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • GETGet Connection
      • DELDelete Connection
      • PATCHUpdate Connection
      • GETConnection Parameter Values
      • GETGet Connection Source
      • POSTConnection Field Query
      • GETGet Connection Target
      • POSTGet Connection Target Fields
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Connection Field Query

Deprecated
POST
https://app.polytomic.com/api/connections/:id/source/fields
POST
/api/connections/:id/source/fields
$curl -X POST https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/source/fields \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "query": {
> "query": "select * from public.users"
> }
>}'
1{
2 "data": [
3 {
4 "created_at": "2024-01-15T09:30:00Z",
5 "created_by": {
6 "id": "12345678-1234-1234-1234-123456789012",
7 "name": "John Doe",
8 "type": "user"
9 },
10 "description": "Unique identifier",
11 "example": null,
12 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
13 "label": "ID",
14 "name": "id",
15 "remote_type": "string",
16 "type": "string",
17 "unique": true,
18 "updated_at": "2024-01-15T09:30:00Z",
19 "user_added": false
20 }
21 ]
22}

Returns the source fields available on a connection for a given source configuration.

🚧 Deprecated

Use POST /api/connections/{id}/modelsync/source/fields instead. Available in API version 2024-02-08 and later.

Was this page helpful?
Previous

Get Connection Target

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
querymap from strings to any or nullRequired

Response

OK
datalist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error